package com.gic.haoban.manage.service.service.out.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.common.utils.PageUtil;
import com.gic.haoban.manage.api.dto.AuditDTO;
import com.gic.haoban.manage.api.service.AuditApiService;
import com.gic.haoban.manage.service.dao.mapper.AuditMapper;
import com.gic.haoban.manage.service.entity.TabHaobanAudit;
import com.github.pagehelper.PageHelper;

/**
 * Created by tgs on 2020/2/9.
 */
public class AuditApiServiceImpl implements AuditApiService{
	@Autowired
	private AuditMapper auditMapper;
	@Override
	public Page<AuditDTO> page(Integer auditType, String search,
			String enterpriseId, BasePageInfo pageInfo) {
		//TODO 通过search模糊查找storeIds,和staffIds
		List<String> storeIds = new ArrayList<>();
		List<String> staffIds = new ArrayList<>();
		PageHelper.startPage(pageInfo.getPageNum(), pageInfo.getPageSize());
		com.github.pagehelper.Page<TabHaobanAudit> page = auditMapper.page(auditType, storeIds, staffIds, enterpriseId);
		return PageUtil.changePageHelperToCurrentPage( page,AuditDTO.class);
	}
}
